求助 内核2.6.35-22-generic不能使用无线上网

为当前最终发行版之前的所有版本提供支持
回复
harry6038
帖子: 213
注册时间: 2009-04-27 21:02
送出感谢: 0
接收感谢: 0

求助 内核2.6.35-22-generic不能使用无线上网

#1

帖子 harry6038 » 2010-11-06 21:26

今年四月安装Ubuntu10.04,十月从10.04直接升级到10.10,无线上网一直没有任何问题,昨天重装一下10.10,可装完后却不能无线上网,网线网卡的灯一直是红色的(绿色是打开,红色是关闭)。网上的方法试了几个,还是不行,无奈今天只能换回10.04。下午再次从10.04升级10.10后居然又不能上网了,旧内核我没有删,我抱着试试看的心态通过旧内核启动,又能上网了,这是怎么了?通过新内核启动不能使用无线网卡,而旧内核就能用?
请问有人碰到这个问题吗?请问怎么解决的?
hunter108
帖子: 112
注册时间: 2009-11-02 10:29
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#2

帖子 hunter108 » 2010-11-06 22:34

在10.10下,你的无线网卡驱动模块确定加载了?
头像
meoow
帖子: 96
注册时间: 2009-06-03 14:37
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#3

帖子 meoow » 2010-11-06 22:48

hunter108 写了:在10.10下,你的无线网卡驱动模块确定加载了?
看来这个不是个别问题,我朋友的2.6.32升级到2.6.35无线也不好使了,不知道升到2.6.36能不能解决。
harry6038
帖子: 213
注册时间: 2009-04-27 21:02
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#4

帖子 harry6038 » 2010-11-07 7:56

请问怎样加载无线网卡驱动模块阿?我可以试试,如果不行就只能先用旧的了,等着更新的出来
头像
Sunmover
帖子: 2339
注册时间: 2010-05-24 13:02
来自: 星城长沙
送出感谢: 0
接收感谢: 4 次

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#5

帖子 Sunmover » 2010-11-07 10:56

也不见得就是内核的问题,近期的ubuntu的更新有些问题,导致我的ubuntu出现了不少麻烦。。。
hunter108
帖子: 112
注册时间: 2009-11-02 10:29
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#6

帖子 hunter108 » 2010-11-08 9:44

如果要加载网卡模块,

modprobe 模块名

如要查看是否加载了,可以用下面命令

lsmod | grep 模块名
harry6038
帖子: 213
注册时间: 2009-04-27 21:02
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#7

帖子 harry6038 » 2010-11-09 18:53

不好意思,想问一下,怎样才能知道“模块名”, :em06
hunter108
帖子: 112
注册时间: 2009-11-02 10:29
送出感谢: 0
接收感谢: 0

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#8

帖子 hunter108 » 2010-11-11 14:57

在10.04下,执行以下命令

lsmod

他会列出当前所有加载的模块,自己看看哪个像吧 :em04
实在分不出,就到网上google一下,自己网卡的模块名,然后到10.10下,
lsmod | grep 模块名
查看一下,它有没有被加载
头像
astolia
论坛版主
帖子: 3033
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 500 次

Re: 求助 内核2.6.35-22-generic不能使用无线上网

#9

帖子 astolia » 2010-11-11 20:14

说一个图形界面的方法,安装hardInfo软件包
装完了运行,到Devices->PCI Devices里去找你的网卡,下面列出的Kernel modules就是所用的驱动
回复

回到 “老旧版本支持”